Qt Reference Documentation

# QIconEnginePlugin Class Reference

The QIconEnginePlugin class provides an abstract base for custom QIconEngine plugins. More...

     #include <QIconEnginePlugin>

Inherits: QObject.

- List of all members, including inherited members

## Public Functions

| QIconEnginePlugin ( QObject * parent = 0 )
| ~QIconEnginePlugin ()

## Reimplemented Public Functions

virtual QIconEngine * | create ( const QString & filename ) = 0
virtual QStringList | keys () const = 0

- 29 public functions inherited from QObject

### Additional Inherited Members

- 1 property inherited from QObject
- 1 public slot inherited from QObject
- 1 signal inherited from QObject
- 5 static public members inherited from QObject
- 7 protected functions inherited from QObject

## Detailed Description

The QIconEnginePlugin class provides an abstract base for custom QIconEngine plugins.

Use QIconEnginePluginV2 instead.

The icon engine plugin is a simple plugin interface that makes it easy to create custom icon engines that can be loaded dynamically into applications through QIcon. QIcon uses the file or resource name's suffix to determine what icon engine to use.

Writing a icon engine plugin is achieved by subclassing this base class, reimplementing the pure virtual functions keys() and create(), and exporting the class with the Q_EXPORT_PLUGIN2() macro.

See also How to Create Qt Plugins.

## Member Function Documentation

### QIconEnginePlugin::QIconEnginePlugin ( QObject * parent = 0 )

Constructs a icon engine plugin with the given parent. This is invoked automatically by the Q_EXPORT_PLUGIN2() macro.

### QIconEnginePlugin::~QIconEnginePlugin ()

Destroys the icon engine plugin.

You never have to call this explicitly. Qt destroys a plugin automatically when it is no longer used.

### QIconEngine * QIconEnginePlugin::create ( const QString & filename )`[pure virtual]`

Creates and returns a QIconEngine object for the icon with the given filename.

See also keys().

### QStringList QIconEnginePlugin::keys () const`[pure virtual]`

Returns a list of icon engine keys that this plugin supports. The keys correspond to the suffix of the file or resource name used when the plugin was created. Keys are case insensitive.

See also create().